Description: drop all usages of `which`, in particular all of these case are an useless use of it anyway
 This fixes an FTBFS as now `which` as shipped by debianutils emits a deprecation warning
 that makes the tests fail to match their checks.
Author: Mattia Rizzolo <mattia@debian.org>
Forwarded: no
Last-Update: 2021-11-17

--- a/tests/boilerplate/0001
+++ b/tests/boilerplate/0001
@@ -6,7 +6,6 @@
 # notice and this notice are preserved.  This file is offered as-is,
 # without any warranty.
 
-echo=`which echo`
 #here is what we expect
 expected=`mktemp $builddir/licensing.XXXXXX`
 cat << EOF > $expected
@@ -14,7 +13,7 @@
 EOF
 
 #generating our results
-$echo "/* foo */\
+echo "/* foo */\
 bar" | $licensing boilerplate
 
 #0001.log is simultaneously created as this script runs.
--- a/tests/boilerplate/0002
+++ b/tests/boilerplate/0002
@@ -5,7 +5,6 @@
 # are permitted in any medium without royalty provided the copyright
 # notice and this notice are preserved.  This file is offered as-is,
 # without any warranty.
-echo=`which echo`
 
 #here is what we expect
 expected=`mktemp $builddir/licensing.XXXXXX`
@@ -14,7 +13,7 @@
 EOF
 
 #generating our results
-$echo "#!/bin/bash
+echo "#!/bin/bash
 # foo" | $licensing boilerplate
 
 #0002.log is simultaneously created as this script runs.
--- a/tests/boilerplate/0005
+++ b/tests/boilerplate/0005
@@ -5,7 +5,6 @@
 # are permitted in any medium without royalty provided the copyright
 # notice and this notice are preserved.  This file is offered as-is,
 # without any warranty.
-echo=`which echo`
 
 #here is what we expect
 expected=`mktemp $builddir/licensing.XXXXXX`
@@ -21,7 +20,7 @@
 EOF
 
 #generating our results
-$echo -e "dnl Copyright (C) 2013 Ben Asselstine\n\
+echo -e "dnl Copyright (C) 2013 Ben Asselstine\n\
 dnl \n\
 dnl Copying and distribution of this file, with or without modification,\n\
 dnl are permitted in any medium without royalty provided the copyright\n\
--- a/tests/boilerplate/0006
+++ b/tests/boilerplate/0006
@@ -5,7 +5,6 @@
 # are permitted in any medium without royalty provided the copyright
 # notice and this notice are preserved.  This file is offered as-is,
 # without any warranty.
-echo=`which echo`
 
 #here is what we expect
 expected=`mktemp $builddir/licensing.XXXXXX`
@@ -19,7 +18,7 @@
 EOF
 
 #generating our results
-$echo -e "dnl Copyright (C) 2013 Ben Asselstine\n\
+echo -e "dnl Copyright (C) 2013 Ben Asselstine\n\
 dnl \n\
 dnl Copying and distribution of this file, with or without modification,\n\
 dnl are permitted in any medium without royalty provided the copyright\n\
--- a/tests/cbb/0001
+++ b/tests/cbb/0001
@@ -5,11 +5,10 @@
 # are permitted in any medium without royalty provided the copyright
 # notice and this notice are preserved.  This file is offered as-is,
 # without any warranty.
-echo=`which echo`
 
 #here is what we expect
 expected=`mktemp $builddir/licensing.XXXXXX`
-$echo "6" > $expected
+echo "6" > $expected
 
 #generating our results
 cat << EOF | $licensing cbb --lines
--- a/tests/choose/0001
+++ b/tests/choose/0001
@@ -5,7 +5,6 @@
 # are permitted in any medium without royalty provided the copyright
 # notice and this notice are preserved.  This file is offered as-is,
 # without any warranty.
-echo=`which echo`
 
 # in Debian we don't like build processes to try to access non-localhost networks
 # skip this test
@@ -20,7 +19,7 @@
 
 #here is what we expect
 expected=`mktemp $builddir/licensing.XXXXXX`
-$echo -n "c" > $expected
+echo -n "c" > $expected
 
 #generating our results
 $licensing choose c --quiet
--- a/tests/choose/0002
+++ b/tests/choose/0002
@@ -5,7 +5,6 @@
 # are permitted in any medium without royalty provided the copyright
 # notice and this notice are preserved.  This file is offered as-is,
 # without any warranty.
-echo=`which echo`
 
 # in Debian we don't like build processes to try to access non-localhost networks
 # skip this test
@@ -19,7 +18,7 @@
 
 #here is what we expect
 expected=`mktemp $builddir/licensing.XXXXXX`
-$echo -n "lgplv3+" > $expected
+echo -n "lgplv3+" > $expected
 cat <<EOF >>$expected
     This library is free software: you can redistribute it and/or modify
     it under the terms of the GNU Lesser General Public License as published
--- a/tests/comment/0001
+++ b/tests/comment/0001
@@ -5,7 +5,6 @@
 # are permitted in any medium without royalty provided the copyright
 # notice and this notice are preserved.  This file is offered as-is,
 # without any warranty.
-echo=`which echo`
 
 #here is what we expect
 expected=`mktemp $builddir/licensing.XXXXXX`
@@ -15,7 +14,7 @@
 EOF
 
 #generating our results
-$echo "foo
+echo "foo
 bar" | $licensing comment
 
 #0001.log is simultaneously created as this script runs.
--- a/tests/extra/0001
+++ b/tests/extra/0001
@@ -5,11 +5,10 @@
 # are permitted in any medium without royalty provided the copyright
 # notice and this notice are preserved.  This file is offered as-is,
 # without any warranty.
-echo=`which echo`
 
 #here is what we expect
 expected=`mktemp $builddir/licensing.XXXXXX`
-$echo "foo bar" > $expected
+echo "foo bar" > $expected
 
 #generating our results
 $licensing extra foo bar --quiet
--- a/tests/prepend/0001
+++ b/tests/prepend/0001
@@ -5,7 +5,6 @@
 # are permitted in any medium without royalty provided the copyright
 # notice and this notice are preserved.  This file is offered as-is,
 # without any warranty.
-echo=`which echo`
 
 #here is what we expect
 expected=`mktemp $builddir/licensing.XXXXXX`
@@ -17,7 +16,7 @@
 
 #this is the SOURCE file in the prepend command
 src=`mktemp $builddir/licensing.XXXXXX`
-$echo "#foo" > $src
+echo "#foo" > $src
 
 #this is the DEST file in the prepend command
 dst=`mktemp $builddir/licensing.XXXXXX`
--- a/tests/prepend/0002
+++ b/tests/prepend/0002
@@ -5,7 +5,6 @@
 # are permitted in any medium without royalty provided the copyright
 # notice and this notice are preserved.  This file is offered as-is,
 # without any warranty.
-echo=`which echo`
 
 #here is what we expect
 expected=`mktemp $builddir/licensing.XXXXXX`
@@ -18,7 +17,7 @@
 
 #this is the SOURCE file in the prepend command
 src=`mktemp $builddir/licensing.XXXXXX`
-$echo "#foo" > $src
+echo "#foo" > $src
 
 #this is the DEST file in the prepend command
 dst=`mktemp $builddir/licensing.XXXXXX`
--- a/tests/prepend/0003
+++ b/tests/prepend/0003
@@ -5,7 +5,6 @@
 # are permitted in any medium without royalty provided the copyright
 # notice and this notice are preserved.  This file is offered as-is,
 # without any warranty.
-echo=`which echo`
 
 #here is what we expect
 expected=`mktemp $builddir/licensing.XXXXXX`
@@ -18,7 +17,7 @@
 
 #this is the SOURCE file in the prepend command
 src=`mktemp $builddir/licensing.XXXXXX`
-$echo "#foo" > $src
+echo "#foo" > $src
 
 #this is the DEST file in the prepend command
 dst=`mktemp $builddir/licensing.XXXXXX`
--- a/tests/top/0001
+++ b/tests/top/0001
@@ -5,11 +5,10 @@
 # are permitted in any medium without royalty provided the copyright
 # notice and this notice are preserved.  This file is offered as-is,
 # without any warranty.
-echo=`which echo`
 
 #here is what we expect
 expected=`mktemp $builddir/licensing.XXXXXX`
-$echo "foo bar" > $expected
+echo "foo bar" > $expected
 
 #generating our results
 $licensing top-line foo bar --quiet
--- a/tests/uncomment/0001
+++ b/tests/uncomment/0001
@@ -5,7 +5,6 @@
 # are permitted in any medium without royalty provided the copyright
 # notice and this notice are preserved.  This file is offered as-is,
 # without any warranty.
-echo=`which echo`
 
 #here is what we expect
 expected=`mktemp $builddir/licensing.XXXXXX`
@@ -14,7 +13,7 @@
 EOF
 
 #generating our results
-$echo "/* foo */\
+echo "/* foo */\
 bar" | $licensing uncomment
 
 #0001.log is simultaneously created as this script runs.
--- a/tests/uncomment/0002
+++ b/tests/uncomment/0002
@@ -5,7 +5,6 @@
 # are permitted in any medium without royalty provided the copyright
 # notice and this notice are preserved.  This file is offered as-is,
 # without any warranty.
-echo=`which echo`
 
 #here is what we expect
 expected=`mktemp $builddir/licensing.XXXXXX`
@@ -14,7 +13,7 @@
 EOF
 
 #generating our results
-$echo "/* foo */\
+echo "/* foo */\
 bar" | $licensing uncomment --trim
 
 #0002.log is simultaneously created as this script runs.
--- a/tests/uncomment/0003
+++ b/tests/uncomment/0003
@@ -5,7 +5,6 @@
 # are permitted in any medium without royalty provided the copyright
 # notice and this notice are preserved.  This file is offered as-is,
 # without any warranty.
-echo=`which echo`
 
 #here is what we expect
 expected=`mktemp $builddir/licensing.XXXXXX`
@@ -14,7 +13,7 @@
 EOF
 
 #generating our results
-$echo "/* foo */ bar" | $licensing uncomment --trim
+echo "/* foo */ bar" | $licensing uncomment --trim
 
 #0003.log is simultaneously created as this script runs.
 diff -uNrd $expected $builddir/0003.log
